Bug 1571753 - Failed to register RHVH4.1.11 host to Satellite6.2 and Satellite6.3.
Summary: Failed to register RHVH4.1.11 host to Satellite6.2 and Satellite6.3.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Registration
Version: 6.2.3
Hardware: x86_64
OS: Linux
high
urgent
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Katello QA List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-25 11:10 UTC by yuefliu
Modified: 2020-11-17 02:10 UTC (History)
19 users (show)

Fixed In Version: redhat-releaase-virtualization-host-4.1-11.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-18 16:46:33 UTC
Target Upstream Version:


Attachments (Terms of Use)
screenshot (229.61 KB, application/x-bzip)
2018-04-25 11:13 UTC, yuefliu
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 3463871 0 None None None 2018-05-30 13:02:43 UTC

Comment 1 yuefliu 2018-04-25 11:13:34 UTC
Created attachment 1426603 [details]
screenshot

Comment 2 Ryan Barry 2018-04-25 14:05:13 UTC
I'm moving this back to Satellite, since I don't know any of the details about how this is pulled.

I'm guessing it's from https://github.com/theforeman/foreman/blob/develop/app/services/puppet_fact_parser.rb, but facter on RHVH reports the same values as RHEL here.

Is RHVH 4.2 able to be registered? If so, this is probably ok, and can be closed. We are not targeting RHVH satellite support until 4.2 (though earlier versions would be great, if possible)

Comment 4 Ryan Barry 2018-04-25 14:08:13 UTC
From facter:

operatingsystem => RedHat                                  
operatingsystemmajrelease => 7                             
operatingsystemrelease => 7.5                              
os => {"name"=>"RedHat", "family"=>"RedHat", "release"=>{"major"=>"7", "minor"=>"5", "full"=>"7.5"}}                   
osfamily => RedHat

Comment 10 Bryan Kearney 2018-04-26 12:15:04 UTC
Closing this out as we have seen this work with RHEV 4.2 and both Satellite 6.2 and 6.3.

Comment 24 Marina Kalinin 2018-09-14 17:10:13 UTC
For those that have customers on RHVH 4.1 and are interested upgrading their hosts via Satellite, please check this KCS: https://access.redhat.com/solutions/3463871.
There is no intent to release this fix with RHVH 4.1.z, since 4.1.z is not active anymore.

Comment 26 Bryan Kearney 2018-10-18 16:46:33 UTC
Closed per internal comments

Verified the bug with redhat-release-virtualization-host-4.1-11.1.el7.x86_64.rpm, rhvh4.1 (rhvh-4.1-0.20180425.0) can register to Satellite6.2 and Satellite6.3 successfully.


Note You need to log in before you can comment on or make changes to this bug.